#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_un_lock_battleData
{
	//ID
	int64_t mID;
	//场地类型
	int mbattle_type;
	//魔法阵解锁
	int mun_lock_magic;
	//魔币准入金额
	int mdemand;
	//魔币禁止金额
	int mprohibit;
	//魔法阵使用等级
	std::vector<int> muse_magic;
	//鱼阵波数
	std::vector<int> mfish_wave;
	//鱼阵方案（方案,权重|方案,权重）
	std::string mfish_scheme;
};

class M_un_lock_battle
{
public:
private:
	static std::auto_ptr<M_un_lock_battle> msSingleton;
public:
	int GetCount();
	const M_un_lock_battleData* GetData(int64_t ID);
	boost::unordered_map<int64_t, M_un_lock_battleData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_un_lock_battle* GetSingleton();
private:
	boost::unordered_map<int64_t, M_un_lock_battleData> mMapData;
};
